Node('ma10.config.sea.psi.ch',
     '10 Tesla vertical cryomagnet',
)

Mod('sea_main',
    'frappy_psi.sea.SeaClient',
    'main sea connection for ma10.config',
    config='ma10high_t.config',
    service='main',
)

Mod('th',
    'frappy_psi.sea.SeaReadable',
    'sample heater temperature',
    io='sea_main',
    meaning=['temperature_regulation', 27],
    sea_object='tt',
    rel_paths=['ts', 'setsamp']
)

Mod('tm',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='tt',
    rel_paths=['tm', '.', 'set']
)

Mod('ts',
    'frappy_psi.parmod.Converging',
    'test for parmod',
    unit='K',
    read='th.value',
    write='th.setsamp',
    meaning=['temperature', 20],
    settling_time=20,
    tolerance=1,
)

Mod('ts2',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='tt',
    rel_paths=['ts_2']
)

Mod('cc',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='cc',
)

Mod('nv',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='nv',
)

Mod('hepump',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hepump',
)

Mod('hemot',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='hemot',
)

Mod('mf',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='mf',
)

Mod('lev',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='lev',
)

Mod('ln2fill',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='ln2fill',
)

Mod('hefill',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hefill',
)

Mod('om_io',
    'frappy_psi.phytron.PhytronIO',
    'dom motor IO',
    uri='ma10-ts.psi.ch:3004',
)

Mod('om',
    'frappy_psi.phytron.Motor',
    'stick rotation, typically used for omega',
    io='om_io',
    sign=-1,
    target_min = -180,
    target_max = 360,
    encoder_mode='READ',
)

